<form
  [formGroup]="userForm"
  (ngSubmit)="onSubmitUser()"
  fxLayout="row wrap"
  fxLayoutGap.gt-sm="10px"
>
  <mat-toolbar-row>
    <h3>Panel de usuario</h3>
    <span class="example-spacer"></span>
    <a mat-button mat-stroked-button color="primary" (click)="disabledEnabled()"
      >Editar datos</a
    >
  </mat-toolbar-row>

  <mat-form-field appearance="outline" fxFlex.gt-sm="48" fxFlex="100">
    <mat-label>Nombre(s)</mat-label>
    <input matInput formControlName="first_name" />
    <mat-error *ngIf="errorHandling('first_name', 'required')"
      >El campo Nombres es requerido</mat-error
    >
  </mat-form-field>
  <mat-form-field appearance="outline" fxFlex.gt-sm="48" fxFlex="100">
    <mat-label>Apellido(s)</mat-label>
    <input matInput formControlName="last_name" />
    <mat-error *ngIf="errorHandling('last_name', 'required')"
      >El campo Apellido(s) es requerido</mat-error
    >
  </mat-form-field>
  <mat-form-field appearance="outline" fxFlex.gt-sm="48" fxFlex="100">
    <mat-label>Cedula o NIT</mat-label>
    <input matInput formControlName="identificacion" />
    <mat-error *ngIf="errorHandling('identificacion', 'required')"
      >El campo Cedula o NIT es requerido</mat-error
    >
  </mat-form-field>
  <mat-form-field appearance="outline" fxFlex.gt-sm="48" fxFlex="100">
    <mat-label>Teléfono</mat-label>
    <input matInput formControlName="whatsapp" />
    <mat-error *ngIf="errorHandling('whatsapp', 'required')"
      >El campo Teléfono es requerido</mat-error
    >
  </mat-form-field>
  <mat-form-field appearance="outline" fxFlex.gt-sm="48" fxFlex="100">
    <mat-label>Correo</mat-label>
    <input matInput formControlName="email" />
    <mat-error *ngIf="errorHandling('email', 'required')"
      >El campo Correo es requerido</mat-error
    >
  </mat-form-field>
  <div fxLayout="row" fxFlex.gt-sm="48" fxFlex="100">
    <!-- <mat-form-field *ngIf="allAddres.length !== 0" fxFlex="30" appearance="outline">
      <mat-label>Ciudad</mat-label>
      <input matInput disabled [value]="getUserData[0].ciudad" />
    </mat-form-field> -->
    <mat-form-field
      *ngIf="allAddres.length !== 0"
      appearance="outline"
      fxFlex="100"
    >
      <mat-label>Dirección de envío</mat-label>
      <mat-select
        *ngIf="allAddres.length >= 1"
        formControlName="Shipping_Address"
      >
        <mat-option *ngFor="let addr of allAddres" [value]="addr.id">
          {{ addr.direccion }}
        </mat-option>
      </mat-select>
      <!-- <input *ngIf="allAddres.length == 1" matInput formControlName="Shipping_Address"> -->
      <mat-error *ngIf="errorHandling('Shipping_Address', 'required')"
        >El campo Dirección de envío es requerido</mat-error
      >
    </mat-form-field>
  </div>
  <mat-toolbar-row
    fxFlex="100"
    fxLayout="row wrap"
    fxLayoutAlign="space-between center"
  >
    <button mat-stroked-button type="button" (click)="openModalAddrs()">
      Agregar dirección
    </button>
    <button
      [disabled]="
        userForm.dirty != true ||
        errorHandling('whatsapp', 'required') != false ||
        enviando
      "
      mat-button
      type="submit"
      mat-stroked-button
    >
      Actualizar datos
    </button>
  </mat-toolbar-row>
</form>
